[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'InterfaceBase' (#lcl)

# TWidgetSet.CreateBitmap

Creates a bitmap for the widgetset.

## Declaration

Source position: winapih.inc line 48

`public function TWidgetSet.CreateBitmap(`
`Width: Integer;`
`Height: Integer;`
`Planes: LongInt;`
`BitCount: LongInt;`
`BitmapBits: Pointer`
`):HBITMAP; virtual;`

## Arguments

`Planes` |  | The number of color planes.
`BitCount` |  | The number of color bits per pixel and plane.
`BitmapBits` |  | Pointer to array containing color data.

## Function result

The bitmap Handle, zero on failure.

## Description

Creates a bitmap with the specified width, height, and color format (color planes and bits per pixel).